#version 330

in vec2 TexCoord;

out vec4 out_Color;

uniform sampler2D TexSampler;

void main()
{
	vec4 color = texture2D( TexSampler, TexCoord );
	if( length( color ) > 1.5 )
	{
		out_Color = color;// * 8.0; //Brighten it up a bit
	}
	else
	{
		out_Color = vec4( 0.0, 0.0, 0.0, 0.0 );
	}
}